Bug 1286881 - qpidd does not start
qpidd does not start
Product: Fedora
Classification: Fedora
Component: qpid-cpp (Show other bugs)
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Irina Boverman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-30 20:46 EST by Sean Myers
Modified: 2016-01-05 21:52 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.34-5.fc23 qpid-cpp-0.34-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-05 21:52:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Myers 2015-11-30 20:46:16 EST
Description of problem:
qpidd does not start due to a linking error

$ sudo /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
/usr/sbin/qpidd: symbol lookup error: /lib64/libqpidbroker.so.2: undefined symbol: _ZN4qpid3sys4Path9separatorB5cxx11E

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install fedora 23
2. Install qpid-cpp-server
3. Try to start qpidd

Actual results:

[vagrant@dev ~]$ systemctl start qpidd

[vagrant@dev ~]$ systemctl status qpidd
● qpidd.service - An AMQP message broker daemon.
   Loaded: loaded (/usr/lib/systemd/system/qpidd.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Tue 2015-12-01 01:35:12 UTC; 5min ago
     Docs: man:qpidd(1)
  Process: 3328 ExecStart=/usr/sbin/qpidd --config /etc/qpid/qpidd.conf (code=exited, status=127)
 Main PID: 3328 (code=exited, status=127)

[vagrant@dev ~]$ /usr/sbin/qpidd --config /etc/qpid/qpidd.conf
/usr/sbin/qpidd: symbol lookup error: /lib64/libqpidbroker.so.2: undefined symbol: _ZN4qpid3sys4Path9separatorB5cxx11E

Expected results:

systemctl start qpidd starts qpidd without error

Additional info:

This may be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1280372 (or vice versa, since epel is downstream)

ldd output indicating that the lib with the missing link is present:

[vagrant@dev ~]$ ldd /usr/sbin/qpidd
        linux-vdso.so.1 (0x00007ffd789c5000)
        libqpidbroker.so.2 => /lib64/libqpidbroker.so.2 (0x00007f2ac24f1000)
        libqpidcommon.so.2 => /lib64/libqpidcommon.so.2 (0x00007f2ac2064000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f2ac1ce2000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f2ac19e0000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f2ac17c8000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f2ac15ab000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f2ac11ea000)
        libqpidtypes.so.1 => /lib64/libqpidtypes.so.1 (0x00007f2ac0fcd000)
        libsasl2.so.3 => /lib64/libsasl2.so.3 (0x00007f2ac0db0000)
        libssl3.so => /lib64/libssl3.so (0x00007f2ac0b6e000)
        libsmime3.so => /lib64/libsmime3.so (0x00007f2ac0946000)
        libnss3.so => /lib64/libnss3.so (0x00007f2ac0620000)
        libnssutil3.so => /lib64/libnssutil3.so (0x00007f2ac03f4000)
        libplds4.so => /lib64/libplds4.so (0x00007f2ac01ef000)
        libplc4.so => /lib64/libplc4.so (0x00007f2abffea000)
        libnspr4.so => /lib64/libnspr4.so (0x00007f2abfdab000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f2abfba6000)
        /lib64/ld-linux-x86-64.so.2 (0x0000556626490000)
        libboost_program_options.so.1.58.0 => /lib64/libboost_program_options.so.1.58.0 (0x00007f2abf930000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f2abf728000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f2abf522000)
        libboost_system.so.1.58.0 => /lib64/libboost_system.so.1.58.0 (0x00007f2abf31e000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f2abf102000)
        libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f2abeecc000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f2abecb6000)
        libfreebl3.so => /lib64/libfreebl3.so (0x00007f2abea38000)
Comment 2 Fedora Update System 2015-12-01 16:37:09 EST
qpid-cpp-0.34-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-40795af09d
Comment 4 Sean Myers 2015-12-02 10:23:41 EST
Thanks! Testing now...

Bodhi link for fc23:
Comment 5 Fedora Update System 2015-12-02 23:20:40 EST
qpid-cpp-0.34-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update qpid-cpp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-40795af09d
Comment 6 Sean Myers 2015-12-04 13:51:28 EST
I think the bodhi linking for this bug is incorrect. It is linked to the el7 EPEL build of this package, but this bug report is concerned with fedora 23.

The correct link is the one I mentioned in #4, https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e078e619e

The f23 package has passed bodhi's stable threshold. I'm not clear on the workflow for fedora bugfixes, but I think that would advance this bug's state in some way...
Comment 7 Fedora Update System 2016-01-05 21:52:42 EST
qpid-cpp-0.34-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.